function Result = calTransWithCoverCheck(listOfPrevMarks, parent_marking,subTransVal,addTransVal,coverType,transitionMaxSub)
% takes an array of strings as the marking
% takes matrices of the subtraction and addition values of all transitions
% returns an array of strings as the new marking

intMarking=zeros(size(parent_marking));
sizeinput =size(parent_marking);
for i=1:sizeinput(2)
    if char(parent_marking(i)) == 'W'
        intMarking(i)= inf;
    else
        intMarking(i) = str2num(char(parent_marking(i)));
    end
end

intNewMarking=intMarking+subTransVal+addTransVal;

%adds inf(omega) if applicable


prevMarksDim = size(listOfPrevMarks);

for i = 1: prevMarksDim(1)
    
    intPrevMark=listOfPrevMarks(i,:);
    
    tmp= intNewMarking>=intPrevMark;
    
    
    if all(tmp(:) >0)
        for j=1:length(intPrevMark)
            
            if strcmp(coverType,'extra')
                if (intNewMarking(j) > intPrevMark(j)) & (intNewMarking(j)>=transitionMaxSub(j) ) % new ad
                    intNewMarking(j)= inf;
                end
            else
                
                if (intNewMarking(j) > intPrevMark(j))
                    
                    intNewMarking(j)= inf;
                end
            end
            
        end
    end
    
end

newMarkingStrings=[];
for i=1:sizeinput(2)
    if intNewMarking(i) == inf
        newMarkingStrings=[newMarkingStrings string('W')];
    else
        newMarkingStrings=[newMarkingStrings string(num2str(intNewMarking(i)))];
        
    end
end

Result=newMarkingStrings;
end