function Result = calculateTransition(marking,subTransVal,addTransVal)
% Takes three inputs, produces one output, calculats new marking from previous marking and the transition marices
% takes an array of strings as the marking
% takes matrices of the subtraction and addition values of all transitions
% returns an array of strings as the new marking

intMarking=zeros(size(marking));
sizeinput =size(marking);
for i=1:sizeinput(2)
    if char(marking(i)) == 'W'
        intMarking(i)= inf;
    else
        intMarking(i) = str2num(char(marking(i)));
    end
end
newMarking=intMarking+subTransVal+addTransVal;
newMarkingStrings=[];
for i=1:sizeinput(2)
    if newMarking(i) == inf
        newMarkingStrings=[newMarkingStrings string('W')];
    else
        newMarkingStrings=[newMarkingStrings string(num2str(newMarking(i)))];
        
    end
end

Result=newMarkingStrings;
end